<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:47:13 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ScopingVisitors (org.eclipse.papyrus.marte.vsl 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ScopingVisitors (org.eclipse.papyrus.marte.vsl 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ScopingVisitors.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.Visitor_GetOwnedAndImportedMetaclassInstances.html" title="class in org.eclipse.papyrus.marte.vsl.scoping.visitors"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html" target="_top">Frames</a></li>
<li><a href="ScopingVisitors.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.java.lang.Object">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.marte.vsl.scoping.visitors</div>
<h2 title="Class ScopingVisitors" class="title">Class ScopingVisitors</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.marte.vsl.scoping.visitors.ScopingVisitors</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">ScopingVisitors</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.Visitor_GetOwnedAndImportedMetaclassInstances.html" title="class in org.eclipse.papyrus.marte.vsl.scoping.visitors">ScopingVisitors.Visitor_GetOwnedAndImportedMetaclassInstances</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.Visitor_GetOwnedAndImportedStereotypeInstances.html" title="class in org.eclipse.papyrus.marte.vsl.scoping.visitors">ScopingVisitors.Visitor_GetOwnedAndImportedStereotypeInstances</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.Visitor_GetRecursivelyOwnedAndImportedMetaclassInstances.html" title="class in org.eclipse.papyrus.marte.vsl.scoping.visitors">ScopingVisitors.Visitor_GetRecursivelyOwnedAndImportedMetaclassInstances</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.Visitor_GetRecursivelyOwnedAndImportedStereotypeInstances.html" title="class in org.eclipse.papyrus.marte.vsl.scoping.visitors">ScopingVisitors.Visitor_GetRecursivelyOwnedAndImportedStereotypeInstances</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;org.eclipse.uml2.uml.Element&gt;,org.eclipse.uml2.uml.Element&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#hierarchichallyAccessibleBehaviors">hierarchichallyAccessibleBehaviors</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;org.eclipse.uml2.uml.Element&gt;,org.eclipse.uml2.uml.Element&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#hierarchichallyAccessibleDataTypes">hierarchichallyAccessibleDataTypes</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;org.eclipse.uml2.uml.Element&gt;,org.eclipse.uml2.uml.Element&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#hierarchichallyAccessibleDurationObservations">hierarchichallyAccessibleDurationObservations</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;org.eclipse.uml2.uml.Element&gt;,org.eclipse.uml2.uml.Element&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#hierarchichallyAccessibleInstantObservations">hierarchichallyAccessibleInstantObservations</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;org.eclipse.uml2.uml.Element&gt;,org.eclipse.uml2.uml.Element&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#hierarchichallyAccessibleProperties">hierarchichallyAccessibleProperties</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Namespace,org.eclipse.uml2.uml.Namespace&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#importedNamespaces">importedNamespaces</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Element,org.eclipse.uml2.uml.Namespace&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#ownedAndImportedBehaviors">ownedAndImportedBehaviors</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Element,org.eclipse.uml2.uml.Namespace&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#ownedAndImportedDataTypes">ownedAndImportedDataTypes</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Element,org.eclipse.uml2.uml.Namespace&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#ownedAndImportedDurationObservations">ownedAndImportedDurationObservations</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Element,org.eclipse.uml2.uml.Namespace&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#ownedAndImportedEnumerationLiterals">ownedAndImportedEnumerationLiterals</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Element,org.eclipse.uml2.uml.Namespace&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#ownedAndImportedInstantObservations">ownedAndImportedInstantObservations</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Namespace,org.eclipse.uml2.uml.Namespace&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#ownedAndImportedNamespaces">ownedAndImportedNamespaces</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Element,org.eclipse.uml2.uml.Namespace&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#ownedAndImportedProperties">ownedAndImportedProperties</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;org.eclipse.uml2.uml.Element&gt;,org.eclipse.uml2.uml.Classifier&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#ownedOrInheritedAttributes">ownedOrInheritedAttributes</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;org.eclipse.uml2.uml.Element&gt;,org.eclipse.uml2.uml.Classifier&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#ownedOrInheritedOperations">ownedOrInheritedOperations</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;org.eclipse.uml2.uml.Element&gt;,org.eclipse.uml2.uml.Classifier&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#ownedOrInheritedTupleAttributes">ownedOrInheritedTupleAttributes</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Element,org.eclipse.uml2.uml.Namespace&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#recursivelyownedAndImportedDurationObservations">recursivelyownedAndImportedDurationObservations</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Element,org.eclipse.uml2.uml.Namespace&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#recursivelyownedAndImportedInstantObservations">recursivelyownedAndImportedInstantObservations</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#ScopingVisitors--">ScopingVisitors</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="importedNamespaces">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>importedNamespaces</h4>
<pre>public static final&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Namespace,org.eclipse.uml2.uml.Namespace&gt; importedNamespaces</pre>
</li>
</ul>
<a name="ownedAndImportedNamespaces">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ownedAndImportedNamespaces</h4>
<pre>public static final&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Namespace,org.eclipse.uml2.uml.Namespace&gt; ownedAndImportedNamespaces</pre>
</li>
</ul>
<a name="ownedAndImportedProperties">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ownedAndImportedProperties</h4>
<pre>public static final&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Element,org.eclipse.uml2.uml.Namespace&gt; ownedAndImportedProperties</pre>
</li>
</ul>
<a name="ownedAndImportedBehaviors">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ownedAndImportedBehaviors</h4>
<pre>public static final&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Element,org.eclipse.uml2.uml.Namespace&gt; ownedAndImportedBehaviors</pre>
</li>
</ul>
<a name="ownedAndImportedEnumerationLiterals">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ownedAndImportedEnumerationLiterals</h4>
<pre>public static final&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Element,org.eclipse.uml2.uml.Namespace&gt; ownedAndImportedEnumerationLiterals</pre>
</li>
</ul>
<a name="ownedAndImportedInstantObservations">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ownedAndImportedInstantObservations</h4>
<pre>public static final&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Element,org.eclipse.uml2.uml.Namespace&gt; ownedAndImportedInstantObservations</pre>
</li>
</ul>
<a name="ownedAndImportedDurationObservations">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ownedAndImportedDurationObservations</h4>
<pre>public static final&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Element,org.eclipse.uml2.uml.Namespace&gt; ownedAndImportedDurationObservations</pre>
</li>
</ul>
<a name="ownedAndImportedDataTypes">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ownedAndImportedDataTypes</h4>
<pre>public static final&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Element,org.eclipse.uml2.uml.Namespace&gt; ownedAndImportedDataTypes</pre>
</li>
</ul>
<a name="ownedOrInheritedAttributes">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ownedOrInheritedAttributes</h4>
<pre>public static final&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;org.eclipse.uml2.uml.Element&gt;,org.eclipse.uml2.uml.Classifier&gt; ownedOrInheritedAttributes</pre>
</li>
</ul>
<a name="ownedOrInheritedTupleAttributes">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ownedOrInheritedTupleAttributes</h4>
<pre>public static final&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;org.eclipse.uml2.uml.Element&gt;,org.eclipse.uml2.uml.Classifier&gt; ownedOrInheritedTupleAttributes</pre>
</li>
</ul>
<a name="ownedOrInheritedOperations">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ownedOrInheritedOperations</h4>
<pre>public static final&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;org.eclipse.uml2.uml.Element&gt;,org.eclipse.uml2.uml.Classifier&gt; ownedOrInheritedOperations</pre>
</li>
</ul>
<a name="hierarchichallyAccessibleProperties">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hierarchichallyAccessibleProperties</h4>
<pre>public static final&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;org.eclipse.uml2.uml.Element&gt;,org.eclipse.uml2.uml.Element&gt; hierarchichallyAccessibleProperties</pre>
</li>
</ul>
<a name="hierarchichallyAccessibleBehaviors">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hierarchichallyAccessibleBehaviors</h4>
<pre>public static final&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;org.eclipse.uml2.uml.Element&gt;,org.eclipse.uml2.uml.Element&gt; hierarchichallyAccessibleBehaviors</pre>
</li>
</ul>
<a name="hierarchichallyAccessibleInstantObservations">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hierarchichallyAccessibleInstantObservations</h4>
<pre>public static final&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;org.eclipse.uml2.uml.Element&gt;,org.eclipse.uml2.uml.Element&gt; hierarchichallyAccessibleInstantObservations</pre>
</li>
</ul>
<a name="hierarchichallyAccessibleDurationObservations">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hierarchichallyAccessibleDurationObservations</h4>
<pre>public static final&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;org.eclipse.uml2.uml.Element&gt;,org.eclipse.uml2.uml.Element&gt; hierarchichallyAccessibleDurationObservations</pre>
</li>
</ul>
<a name="hierarchichallyAccessibleDataTypes">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hierarchichallyAccessibleDataTypes</h4>
<pre>public static final&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;org.eclipse.uml2.uml.Element&gt;,org.eclipse.uml2.uml.Element&gt; hierarchichallyAccessibleDataTypes</pre>
</li>
</ul>
<a name="recursivelyownedAndImportedInstantObservations">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>recursivelyownedAndImportedInstantObservations</h4>
<pre>public static final&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Element,org.eclipse.uml2.uml.Namespace&gt; recursivelyownedAndImportedInstantObservations</pre>
</li>
</ul>
<a name="recursivelyownedAndImportedDurationObservations">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>recursivelyownedAndImportedDurationObservations</h4>
<pre>public static final&nbsp;<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Element,org.eclipse.uml2.uml.Namespace&gt; recursivelyownedAndImportedDurationObservations</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ScopingVisitors--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ScopingVisitors</h4>
<pre>public&nbsp;ScopingVisitors()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ScopingVisitors.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.Visitor_GetOwnedAndImportedMetaclassInstances.html" title="class in org.eclipse.papyrus.marte.vsl.scoping.visitors"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html" target="_top">Frames</a></li>
<li><a href="ScopingVisitors.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.java.lang.Object">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
